Subject: Re: Tacoma, WA. USA area beekeeper needed to relocate hive

From: [email-masked]
Date: 25 Nov 1996 18:49:01 GMT

I might be interested if you are not in too great a hurry . E-Mail me at
[email-masked].

Bart